;INSTR 95
;BANDREJECT FILTER 01
;8th ORDER BUTTERWORTH BANDREJECT
;LEE ZAKIAN 7/22/02 10:05:21 PM

;++++++++++

sr      		=        44100
kr      		=        4410  
ksmps		=        10
nchnls		=        2
zakinit	30, 30		;initialize ZAK system
				;30 a-rate channels, 30 k-rate channels

	instr 95		;br01	Variable BR filter, set with p8

ivol		=	ampdb(p4)
ilevel		=	p5
iinbr01	=	p6
ioutbr01	=	p7	;to mixer or more processing
ibandreject	=	p8

kdclk		linseg  	0, .2, 1, p3-.4, 1, .2, 0	;declick envelope
asig		zar	iinbr01

af1		butterbr	asig, p10,  p10*.95	
af2		butterbr	af1, p10,  p10*.95
af3		butterbr	af2, p10,  p10*.95
af4		butterbr	af3, p10,  p10*.95
af5		=		af4*p5

aout		=	(af4+af5)*ivol
		zawm	aout*kdclk, ioutbr01
		endin


