;INSTR 97
;BANDREJECT FILTER 03
;2nd ORDER BUTTERWORTH BANDREJECT
;LEE ZAKIAN 7/22/02 10:05:21 PM

;++++++++++

sr      		=        44100
kr      		=        4410  
ksmps		=        10
nchnls		=        2
zakinit	30, 30		;initialize ZAK system
				;30 a-rate channels, 30 k-rate channels

	instr 97		;br03	Variable BR filter, set with p8

ivol		=	ampdb(p4)
ilevel		=	p5
iinbr03	=	p6
ioutbr03	=	p7	;to mixer or more processing
ibandreject	=	p8

kdclk		linseg	0, .2, 1, p3-.4, 1, .2, 0	;declick envelope
asig		zar	iinbr03

af1		butterbr	asig, p10,  p10*.95	
af2		=		af1*p5

aout		=	(af1+af2)*ivol
		zawm	aout*kdclk, ioutbr03
		endin


