;INSTR 96
;BANDREJECT FILTER 02
;4th ORDER BUTTERWORTH BANDREJECT
;LEE ZAKIAN 7/22/02 10:05:21 PM

;++++++++++

sr      		=        44100
kr      		=        4410  
ksmps		=        10
nchnls		=        2
zakinit	30, 30		;initialize ZAK system
				;30 a-rate channels, 30 k-rate channels

	instr 96		;br02	Variable BR filter, set with p8

ivol		=	ampdb(p4)
ilevel		=	p5
iinbr02	=	p6
ioutbr02	=	p7	;to mixer or more processing
ibandreject	=	p8

kdclk		linseg  	0, .2, 1, p3-.4, 1, .2, 0	;declick envelope
asig		zar	iinbr02

af1		butterbr	asig, p10,  p10*.95	
af2		butterbr	af1, p10,  p10*.95
af3		=		af2*p5

aout		=	(af2+af3)*ivol
		zawm	aout*kdclk, ioutbr02
		endin


